#ifndef STABLEHEADER_H
#define STABLEHEADER_H

#include "common.h"

class STableHeader
{
public:
    STableHeader();
    virtual ~STableHeader();

    vector<TableHeader*>* GetListActive();
    vector<TableHeader*>* GetListInactive();

    void UpdateTableHeaderInfo(map<int, int>& nMapData);

    void SetDataWorklist(const QList<QStringList>& resultQuery);
    void SetDataHistory(const QList<QStringList>& resultQuery);

    void CopyWorklistFrom(const STableHeader* pTableHeader);
    void CopyHistoryFrom(const STableHeader* pTableHeader);

    static void ClearMapData();

    static void ClearMapDataWorklist();
    static void ClearMapDataHistory();


protected:
    //vector<TableHeader*> m_ListHeader;
    static map<int, TableHeader*> m_MapHeaderWorklist;
    static map<int, TableHeader*> m_MapHeaderHistory;
    vector<TableHeader*> m_ListActive;
    vector<TableHeader*> m_ListInactive;    
};

#endif // STABLEHEADER_H
